edu.ucsb.nceas.metacat.shared

## Class BaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.ucsb.nceas.metacat.shared.BaseException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AccessControlException, AccessException, MetacatSchedulerException, PermOrderException, ServiceException

      public class BaseException
      extends java.lang.Exception

  Exception thrown when an error occurs in a configuration administrative class
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseException(java.lang.String message)` Create a new AccessException.
    `BaseException(java.lang.String message, BaseException deeperException)` Create a new BaseException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCoreMessage()`
    `void` | `setCoreMessage(java.lang.String coreMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseException

          public BaseException(java.lang.String message)

      Create a new AccessException.
      Parameters:
        `message` - The error or warning message.

    - #### BaseException

          public BaseException(java.lang.String message,
                               BaseException deeperException)

      Create a new BaseException.
      Parameters:
        `message` - The error or warning message.

  - ### Method Detail

    - #### getCoreMessage

          public java.lang.String getCoreMessage()

    - #### setCoreMessage

          public void setCoreMessage(java.lang.String coreMessage)

Copyright © 2020 Regents of the University of California. All Rights Reserved.